#
# spec file for package freetds
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           freetds
Version:        0.91
Release:        14.5
%define dirver  0.91
%define filever 0.91
Summary:        A free re-implementation of the TDS (Tabular DataStream) protocol
License:        LGPL-2.1+ and GPL-2.0+
Group:          Productivity/Databases/Clients
Url:            http://www.freetds.org/
Source:         %{name}-%{filever}.tar.bz2
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  libtool
BuildRequires:  unixODBC
BuildRequires:  unixODBC-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%if 0%{?suse_version}
Requires:       glibc-locale
%endif

%description
FreeTDS is a project to document and implement the TDS (Tabular DataStream)
protocol. TDS is used by Sybase and Microsoft for client to database server
communications. FreeTDS includes call level interfaces for DB-Lib, CT-Lib,
and ODBC.

%package -n libfreetds
Summary:        A free re-implementation of the TDS (Tabular DataStream) protocol
License:        LGPL-2.1+
Group:          System/Libraries
Provides:       %{name} = %{version}
Obsoletes:      %{name} < %{version}

%description -n libfreetds
FreeTDS is a project to document and implement the TDS (Tabular DataStream)
protocol. TDS is used by Sybase and Microsoft for client to database server
communications. FreeTDS includes call level interfaces for DB-Lib, CT-Lib,
and ODBC.

%package	tools
Summary:        Applications for working with the TDS (Tabular DataStream) protocol
License:        LGPL-2.1+ and GPL-2.0+
Group:          Development/Libraries/C and C++
Requires:       libfreetds = %version

%description tools
FreeTDS is a project to document and implement the TDS (Tabular DataStream)
protocol. TDS is used by Sybase and Microsoft for client to database server
communications. FreeTDS includes call level interfaces for DB-Lib, CT-Lib,
and ODBC.

This package provides application to allow users to make use of the protocol

%package	devel
Summary:        Include files needed for development with FreeTDS
License:        LGPL-2.1+
Group:          Development/Libraries/C and C++
Requires:       libfreetds = %version

%description devel
The freetds-devel package contains the files necessary for development with
the FreeTDS libraries.

%package	-n libtdsodbc0
Summary:        FreeTDS ODBC Driver for unixODBC
License:        LGPL-2.1+
Group:          Productivity/Databases/Clients
Requires:       unixODBC >= 2.0.0

%description -n libtdsodbc0
The freetds-unixodbc package contains ODBC driver build for unixODBC.

%package	doc
Summary:        User documentation for FreeTDS
License:        LGPL-2.1+ and GPL-2.0+
Group:          Productivity/Databases/Clients

%description doc
The freetds-doc package contains the useguide and reference of FreeTDS
and can be installed even if FreeTDS main package is not installed

%prep
%setup -n %{name}-%{dirver}

%build
ODBCDIR=$(odbc_config --prefix || true)
if test ! -r "$ODBCDIR/include/sql.h"; then
	ODBCDIR=/usr/local
fi
if test ! -r "$ODBCDIR/include/sql.h"; then
	ODBCDIR=/usr
fi
autoreconf --force --install
%configure						\
	--with-unixodbc="$ODBCDIR"			\
	--enable-threadsafe				\
	--sysconfdir=%{_sysconfdir}			\
	--with-tdsver=4.2				\
	--with-docdir=%{_docdir}/freetds \
    --disable-static \
    --with-pic
make %{?_smp_flags} RPM_OPT_FLAGS="%{optflags}"

%install
%makeinstall
mkdir 	-p	%{buildroot}%{_docdir}/freetds/
mv	%{buildroot}%{_datadir}/doc/freetds-*/* %{buildroot}%{_docdir}/freetds/
rm -rf 	%{buildroot}%{_docdir}/freetds-* %{buildroot}/%{_datadir}/doc/freetds-*
%fdupes %{buildroot}/%{_docdir}/freetds/userguide

%post -n libfreetds -p /sbin/ldconfig

%postun -n libfreetds -p /sbin/ldconfig

%post -n libtdsodbc0
echo "[FreeTDS]
Description = FreeTDS unixODBC Driver
Driver = %{_libdir}/libtdsodbc.so.0
Setup = %{_libdir}/libtdsodbc.so.0" | odbcinst -i -d -r > /dev/null 2>&1 || true
echo "[SQL Server]
Description = FreeTDS unixODBC Driver
Driver = %{_libdir}/libtdsodbc.so.0
Setup = %{_libdir}/libtdsodbc.so.0" | odbcinst -i -d -r > /dev/null 2>&1 || true
/sbin/ldconfig 2> /dev/null

%postun -n libtdsodbc0 -p /sbin/ldconfig

%preun -n libtdsodbc0
odbcinst -u -d -n 'FreeTDS' > /dev/null 2>&1 || true
odbcinst -u -d -n 'SQL Server' > /dev/null 2>&1 || true

%files -n libfreetds
%defattr(-,root,root)
%doc AUTHORS BUGS COPYING* ChangeLog INSTALL NEWS README TODO
%{_libdir}/libct.so.*
%{_libdir}/libsybdb.so.*
%config %{_sysconfdir}/*
%{_mandir}/man5/*.5.gz

%files tools
%defattr (-,root,root)
%{_bindir}/*
%{_mandir}/man1/*.1.gz

%files devel
%defattr (-,root,root)
%exclude %{_libdir}/*.la
%{_libdir}/*.so
%{_includedir}/*

%files -n libtdsodbc0
%defattr(-,root,root)
%{_libdir}/libtdsodbc.so.*

%files doc
%defattr (-,root,root)
%{_datadir}/doc/packages/freetds/

%changelog
* Tue Feb  7 2012 coolo@suse.com
- there is a GPL copying too, so add GPL-2.0+ too
* Sun Feb  5 2012 jengelh@medozas.de
- Remove redundant tags/sections
- Resolve dependency indirection
* Wed Oct 12 2011 tabraham@novell.com
- updated to 0.91
* Sun Oct  9 2011 jengelh@medozas.de
- Add missing "Group" for libfreetds and change %%make_install,
  resolving build failure for SLE11
- Remove redundant sections (cf. specfile guidelines)
* Sat Oct  1 2011 coolo@suse.com
- add libtool as buildrequire to make the spec file more reliable
* Sat Aug  6 2011 toddrme2178@gmail.com
- Split into library and tools (binary) packages
- Fixed license labeling.
* Thu Aug  4 2011 coolo@novell.com
- ran format_spec source service
* Fri Jul 15 2011 toddrme2178@gmail.com
- Updated to 0.91 rc2
- Various spec file style cleanups
- Changed to valid groups (fix for rpmlint warning)
- Check for duplicate files (fix for rpmlint warning)
- Move %%changes contents to existing .changes file
* Fri Jul 15 2011 crrodriguez@opensuse.org
- Update to version 0.9.2
* Thu May 13 2010 Matthias Eckermann <mge@arcor.de>
- update to 0.83.dev.20100512
* Fri Feb 19 2010 Matthias Eckermann <mge@arcor.de>
- update to 0.82.1.dev.20091223
* Thu May  8 2008 Matthias Eckermann <mge@arcor.de>
- adopted for openSUSE buildservice
* Wed Mar 28 2007 Frediano Ziglio <freddy77@gmail.com>
- removed libtdssrv
* Thu Sep  9 2004 Frediano Ziglio <freddy77@angelfire.com>
- remove dependency from freetds-unixodbc
- fix field name (Copyright instead of License)
- updated URL
* Sun Mar 30 2003 Frediano Ziglio <freddy77@angelfire.com>
- add reference to doc package
* Wed Feb  5 2003 Ian Grant <Ian.Grant@cl.cam.ac.uk>
- 0.61 tweaked. Added libtdssrv libraries and tools in /usr/bin + man pages
* Mon Dec 30 2002 David Hollis <dhollis@davehollis.com>
- 0.60 tweaked.  Move .a & .la files to -devel package
* Thu Dec 20 2001 Brian Bruns <camber@ais.org> 
- Modifications for 0.53 ver and removing interfaces file
* Thu Jun 28 2001 Brian Bruns <camber@ais.org> 
- Modifications for 0.52 ver and ODBC drivers
* Wed Feb 14 2001 David Hollis <dhollis@emagisoft.com> 
- First stab at RPM for 0.51 ver
